/*  This file is part of the OpenGPI library
 *
 *  Copyright (C) 2009, 2010 Jonas Fietz, Mathias J. Krause, Martin Wlotzka
 *  Address: Wilhelm-Maybach-Str. 24, 68766 Hockenheim, Germany
 *  E-mail: info@opengpi.org 
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#include "opengpidialog.h"

OpenGPIDialog::OpenGPIDialog(QWidget *parent)
: QDialog(parent)
{
	setWindowTitle("What's next?");
	setModal(true);
	resize(320,90);

	loadpageButton = new QPushButton("Load another\nDescription or\nParameter File",this);
	keypageButton = new QPushButton("Return to the\nSettings",this);
	closeButton = new QPushButton("Exit",this);

	loadpageButton->setGeometry(5,5,100,80);
	keypageButton->setGeometry(110,5,100,80);
	closeButton->setGeometry(215,5,100,80);

	connect(loadpageButton,SIGNAL(clicked()),this,SLOT(load()));
	connect(keypageButton,SIGNAL(clicked()),this,SLOT(keys()));
	connect(closeButton,SIGNAL(clicked()),this,SLOT(close()));
}

OpenGPIDialog::~OpenGPIDialog(){}

void OpenGPIDialog::load()
{
	emit done(0);
}

void OpenGPIDialog::keys()
{
	emit done(1);
}

void OpenGPIDialog::close()
{
	emit done(2);
}
