/*  This file is part of the OpenGPI library
 *
 *  Copyright (C) 2009, 2010 Jonas Fietz, Mathias J. Krause, Martin Wlotzka
 *  Address: Wilhelm-Maybach-Str. 24, 68766 Hockenheim, Germany
 *  E-mail: info@opengpi.org 
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

/**
 * The OpenGPIDialog is a modal dialog widget (i.e. it blocks input to other widgets while the dialog is present). It appears in its own window
 * when the user clicks the finish button on the FinalPage of the OpenGPIWizard. It has three buttons, pressing them the user can switch
 * to the LoadPage, to the first keys on the KeyPage or close the whole OpenGPI application.
 */

#ifndef OPENGPIDIALOG
#define OPENGPIDIALOG

#include <QtGui>

class OpenGPIDialog  : public QDialog
{
	Q_OBJECT

public:

	/**
	 * Constructs a OpenGPIDialog.
	 * \param parent The parent widget.
	 */
	OpenGPIDialog(QWidget *parent);

	/**
	 * The destructor.
	 */
	~OpenGPIDialog();

private:

	QPushButton *loadpageButton, *keypageButton, *closeButton;

private slots:

	void load();
	void keys();
	void close();
};

#endif
