/*  This file is part of the OpenGPI library
 *
 *  Copyright (C) 2009, 2010 Jonas Fietz, Mathias J. Krause, Martin Wlotzka
 *  Address: Wilhelm-Maybach-Str. 24, 68766 Hockenheim, Germany
 *  E-mail: info@opengpi.org 
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

/**
 * The OpenGPITree class is a view in the MVC model used in OpenGPI. It extends the
 * QTreeView class.
 */
#ifndef OPENGPITREE
#define OPENGPITREE

#include <QtGui>

class OpenGPITree : public QTreeView
{
	Q_OBJECT

public:
	/**
	 * Constructs the OpenGPITree and initializes the QTreeView.
	 */
	OpenGPITree(QWidget *parent);

signals:

	void checkAllBlocks(); /**< Signal a change and notify ParamData*/

public slots:

	void setProperties(); /**< set properties to control the look and connect
							the signal for changing blocks*/

	// TODO: document updateBlock
	void updateBlock(QModelIndex i);

	void guidedMode(); /**< Set the selection mode to NoSelection*/
	void expertMode(); /**< Set the selection mode to SingleSelection*/
	void selectIndex(QList<QModelIndex> index); /**< Set the selection to this index */
};

#endif
