/*  This file is part of the OpenGPI library
 *
 *  Copyright (C) 2009, 2010 Jonas Fietz, Mathias J. Krause, Martin Wlotzka
 *  Address: Wilhelm-Maybach-Str. 24, 68766 Hockenheim, Germany
 *  E-mail: info@opengpi.org 
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#include "startpage.h"

StartPage::StartPage(QWidget *parent)
: QWizardPage(parent)
{
	setTitle("Welcome to OpenGPI!");
	setSubTitle("This Wizard will guide you through the Parameter Input Interface.");

	t1 = new QLabel("Click \"Next\" to load the Description File.");

	t2 = new QLabel("You may also use the Menu for Loading or Saving Files.");

	layout = new QVBoxLayout();
	layout->addWidget(t1);
	layout->addWidget(t2);
	setLayout(layout);
}

StartPage::StartPage(QWidget *parent, QString text1, QString text2)
: QWizardPage(parent)
{
	setTitle("Welcome to OpenGPI!");
	setSubTitle("This Wizard will guide you through the Parameter Input Interface.");

	t1 = new QLabel(text1);

	t2 = new QLabel(text2);

	layout = new QVBoxLayout();
	layout->addWidget(t1);
	layout->addWidget(t2);
	setLayout(layout);
}

StartPage::~StartPage(){}
