/*  This file is part of the OpenGPI library
 *
 *  Copyright (C) 2009, 2010 Jonas Fietz, Mathias J. Krause, Martin Wlotzka
 *  Address: Wilhelm-Maybach-Str. 24, 68766 Hockenheim, Germany
 *  E-mail: info@opengpi.org 
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef XMLPARAMIMPORT
#define XMLPARAMIMPORT

#include <QtGui>
#include <QtXml>

class XMLParamImport: public QWidget
{
	Q_OBJECT

public:
	/**
	 * Construct the XMLParamImport
	 * /param parent: parent widget
	 */
	XMLParamImport(QWidget *parent);

signals:

	void sendDescriptionDoc(QDomDocument);
	void sendParamDoc(QDomDocument);

public slots:
	/**
	 * Import the description of the XML format used
	 * /param infilename: the filename of the description file
	 */
	void importDescription(QString infilename);
	/**
	 * Import the parameters
	 * /param filename: The file name of the XML file with the params
	 */
	void importParam(QString filename);
};

#endif
